# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['aioli',
 'aioli.commands',
 'aioli.commands.pkg',
 'aioli.commands.root',
 'aioli.controller']

package_data = \
{'': ['*']}

install_requires = \
['gunicorn>=19.9.0,<20.0.0',
 'importlib_metadata>=0.19.0,<0.20.0',
 'marshmallow>=3.0.0rc3,<4.0.0',
 'starlette>=0.12.0b3,<0.13.0',
 'ujson>=1.35,<2.0',
 'uvicorn>=0.6.1,<0.7.0',
 'uvloop>=0.12.1,<0.13.0']

setup_kwargs = {
    'name': 'aioli',
    'version': '0.4.6',
    'description': 'Non-blocking Web API Framework and Toolkit',
    'long_description': 'Aioli: Non-blocking Web API Framework\n=== \n\n[![image](https://img.shields.io/github/license/aioli-framework/aioli.svg?style=flat-square)](https://raw.githubusercontent.com/aioli-framework/aioli/master/LICENSE)\n[![image](https://img.shields.io/pypi/v/aioli.svg?style=flat-square)](https://pypi.org/project/aioli)\n[![image](https://img.shields.io/travis/aioli-framework/aioli.svg?style=flat-square)](https://travis-ci.org/aioli-framework/aioli)\n[![image](https://img.shields.io/pypi/pyversions/aioli.svg?style=flat-square)](https://pypi.org/project/aioli/)\n\n\n\nAioli is a Framework for building RESTful HTTP and WebSocket APIs.\nIts easy-to-use component system, which was built with an emphasis on portability and composability, offers a sensible separation of application logic, data access, and request/response layers.\n\nFurthermore, it makes use of asyncio, is lightweight, and provides high performance and concurrency–especially for IO-bound workloads.\n\nNote that Aioli only works with modern versions of Python (3.6+) and is *Event loop driven*, i.e. code must be [asynchronous](https://docs.python.org/3/library/asyncio.html).\n\n\nDocumentation\n---\n\nThe documentation is available at [https://docs.aioli.dev](https://docs.aioli.dev). \n\n\nPackages\n---\n\nShortly, the https://pkgs.aioli.dev website will show useful info about first and verified third-party Packages; trust status, install instructions, author and license data, as well as links to source code and more.\n\nCurrently, first-party extension-type Packages can be found at [github.com/aioli-framework](https://github.com/aioli-framework).\n\n\nProject status\n---\n\nAioli is in development; expect some breakage, as well as lacking documentation and tests.\n\n\nAuthor\n---\nRobert Wikman \\<rbw@vault13.org\\>\n',
    'author': 'Robert Wikman',
    'author_email': 'rbw@vault13.org',
    'url': 'https://github.com/aioli-framework/aioli',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
